Subject: Re: [X2Go-Dev] Bug#820: Bug#820: Bug#820: Patch: x2goserver: x2goruncommand - set IMEXIT="true" for gnome-terminal

From: Mike Gabriel <[email-masked]>
Date: Fri, 20 Mar 2015 11:17:15 +0000

On  Fr 20 Mär 2015 05:53:09 CET, Mihai Moldovan wrote:

> On 17.03.2015 05:05 PM, Mike Gabriel wrote:
>> With gnome-terminal from GNOMEv2 IMEXIT needs to be false (because
>> gnome-terminal (v2) does _not_ fork to background).
>>
>> With gnome-terminal from GNOMEv3 IMEXIT needs to be true (because
>> gnome-terminal (v3) forks to background).
>
> Stefan just "submitted" another bug report yesterday in a private
> conversion about another piece of software that needs special handling
> via IMEXIT -- but likewise different values dependent on the specific
> version used.
>
> I guess I should better handle that with a few new functions, to be able
> to add other software and versions more flexible in the future.
>
>
>
> Mihai
>
> P.S.: a workaround for those issues is to use pubapps.

Before you start working on this...

Actually, the x2goruncommand stuff should be fully reworked. So that  
TERMINAL, WEBBROWSER etc. are actually symlinks or .desktop files that  
the x2goruncommand refers to.

Basically, I would fork every single application to background and  
monitor its termination with other means (e.g. with the stdout/stderr  
blocker), so that IMEXIT would always be FALSE.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb